Subject: Bug#518354: konqueror: the address bar doe snot preserve (~) but expands it

From: jaalto <[email-masked]>
Date: Thu, 05 Mar 2009 17:58:13 +0200

Package: konqueror
Version: 4:3.5.9.dfsg.1-6
Severity: normal

1. Copy address from terminal

    ~/tmp

2. Paste it into konqeror's address bar. Press RET to activate panel

3. The address bar epxands the tild(~)

Please do not expand the HOME directory tilde (~). If the path is
later on copied to another applications from konqueror's address bar, it
no longer conveys necessarily the same meaning.

   You copy absolute path ....
   which is not the same in another NFS host, where you might "take"
   the patch location from konqueror's address bar by copy/pasting.

   ... but the tilde path would have been the same in NFS/automounted
   ... hosts

Please preserve the tilde as is in the adddress bar.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages konqueror depends on:
ii  kcontrol            4:3.5.9.dfsg.1-6     control center for KDE
ii  kdebase-kio-plugins 4:3.5.9.dfsg.1-6     core I/O slaves for KDE
ii  kdelibs4c2a         4:3.5.10.dfsg.1-1+b1 core libraries and binaries for al
ii  kdesktop            4:3.5.9.dfsg.1-6     miscellaneous binaries and files f
ii  kfind               4:3.5.9.dfsg.1-6     file-find utility for KDE
ii  libc6               2.7-18               GNU C Library: Shared libraries
ii  libgcc1             1:4.3.3-3            GCC support library
ii  libkonq4            4:3.5.9.dfsg.1-6     core libraries for Konqueror
ii  libqt3-mt           3:3.3.8b-5           Qt GUI Library (Threaded runtime v
ii  libstdc++6          4.3.3-3              The GNU Standard C++ Library v3
ii  libx11-6            2:1.1.5-2            X11 client-side library

konqueror recommends no packages.

Versions of packages konqueror suggests:
pn  gij-4.1                       <none>     (no description available)
pn  khelpcenter                   <none>     (no description available)
pn  konq-plugins                  <none>     (no description available)
pn  ksvg                          <none>     (no description available)
pn  libgcj7-awt                   <none>     (no description available)
pn  libjessie-java                <none>     (no description available)

-- no debconf information